Page MenuHomePhabricator

Inline Math formulas in sections with headings in the Hebrew Wikipedia appear as block elements in the Hebrew Wikipedia
Closed, ResolvedPublic

Description

In the mobile version of the article about Pi in the Hebrew Wikipedia, the rendered code <math>\ \pi</math> repeatedly appears as a block element.

You can see a smaller example at my user subpage, which I created for this task. Note that the first paragraph has the same wiki syntax as the text in the sections with headings, but the formulas are displayed differently.

This is probably because the lazy-image-placeholder has display: block, but this only seems to be so in the Hebrew Wikipedia. The same wiki syntax in the English Wikipedia is rendered as expected: all the paragraphs are the same.

This is probably related to T159100, although I'm not sure how exactly, so I'm opening this one separately.

Event Timeline

Amire80 created this task.Mar 15 2017, 2:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2017, 2:31 PM
phuedx triaged this task as Normal priority.Mar 16 2017, 11:43 AM
phuedx added a project: Readers-Web-Backlog.
phuedx moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
Jc86035 added a subscriber: Jc86035.EditedMar 18 2017, 3:47 AM

This is very likely the same issue. The lazy loading seems to be enabled only for images which aren't (or shouldn't be) immediately visible for the reader (i.e. offscreen) upon the page loading. Sections are usually collapsed on the mobile site (although they seem to be uncollapsed on larger screens?), which would explain this. Removing the display: block CSS from the class in Firefox's inspector seems to solve it.

Jdlrobson closed this task as Resolved.Apr 20 2017, 7:35 PM
Jdlrobson assigned this task to Amire80.

Looks like this is fixed in the beta cluster..... or am I doing something wrong?
https://en.m.wikipedia.beta.wmflabs.org/wiki/User:Jdlrobson/pi?uselang=he

Amire80 reopened this task as Open.Apr 20 2017, 7:49 PM
Amire80 removed Amire80 as the assignee of this task.

It's definitely still broken in the Hebrew Wikipedia. It was never broken in the English Wikipedia, as I wrote in the initial description.

I am not sure why is there a difference. I couldn't find anything in the local CSS in the Hebrew Wikipedia. Any help will be appreciated.

I agree. It's definitely broken on Hebrew Wikipedia in the example you gave me. I'm going a little crazy though... I've neen copying and pasting the source code from that page to other pages and can only replicate it on Hebrew

See:

This rule is applied on the beta cluster

li .lazy-image-placeholder, span .lazy-image-placeholder {
    display: inline;
}

but this doesn't apply on Hebrew Wikipedia because the HTML markup produced by the wikitext for all those pages is different from the example page you gave me despite me using the same source! o_O

Is there a different Math extension or an older version of it being used on Hebrew Wikipedia from other wikis?

(oh and whoops I didn't mean to resolve this before! Not sure what happened there)

ABorbaWMF closed this task as Resolved.Apr 25 2017, 9:22 PM
ABorbaWMF claimed this task.
ABorbaWMF added a subscriber: ABorbaWMF.

Changing to resolved. This appears to be fixed. Resolving as part of working on the parent ticket https://phabricator.wikimedia.org/T162623

Will retest again once everything is on production.